cmake_minimum_required(VERSION 3.0)                                               
set(CMAKE_CXX_STANDARD 17)                                                                           
if(MSVC)                                                                                             
    add_compile_options("/Zc:__cplusplus" "/wd6031")                                                           
endif()                                                                                              
include_directories("C:\\Programs\\MSYS2\\mingw64\\include\\c++\\8.2.1\\x86_64-w64-mingw32") 
add_executable(PA PA.cpp)
add_executable(PB PB.cpp)
add_executable(PC PC.cpp)
add_executable(PD PD.cpp)
add_executable(PE PE.cpp)